Subject: bug#28843: 26.0.90; gnus kills unsaved message buffer

From: Nick Helm <[email-masked]>
Date: Thu, 12 Apr 2018 11:21:14 +1200

On Thu, 12 Apr 2018 at 09:32:40 +1200, Lars Ingebrigtsen wrote:

> Nick Helm <[email-masked]> writes:
>
>> One way to do that might be to kill unsaved message buffers earlier in
>> the gnus exit process, say with `gnus-exit-gnus-hook', and rely on
>> Emacs's standard unsaved buffer query to do `save-buffer' or
>> `message-dont-send'. Gnus is still running at that point, so it should
>> save to the drafts group just fine.
>
> But haven't the buffers already been saved earlier in the shutdown by a
> `do-auto-save'?  That how I interpret Katsumi in bug#26862...

Yes they have, but I was suggesting to remove that auto-save mechanism
and find a way to prompt the user to save the draft instead, mimicking
what happens when Emacs is shut down with an unsaved buffer.